kind: pipeline
type: docker
name: panorama

trigger:
  event:
    - push

steps:
  - name: docker-build
  image: plugins/docker
  settings:
    dockerfile: ./Dockerfile
    context: ./
    registry: hub.codefirst.iut.uca.fr
    repo: hub.codefirst.iut.uca.fr/vincent.astolfi/old-project
    username:
      from_secret: secret-registry-username
    password:
      from_secret: secret-registry-password

  - name: deploy
  image: hub.codefirst.iut.uca.fr/thomas.bellembois/codefirst-dockerproxy-clientdrone:latest
  environment:
    IMAGENAME: hub.codefirst.iut.uca.fr/vincent.astolfi/old-project:latest
    CONTAINERNAME: panorame
    COMMAND: create
    OVERWRITE: true
